## amanda 2.5.0p2

=== contrib/sst/Makefile ===

#
# Copyright (c) 1996,1997, by Sun Microsystems, Inc.
# All Rights Reserved
#
#ident	"@(#)Makefile	1.9	97/09/14 SMI"
#

TOP= ..

include $(TOP)/Makefile.master

.KEEP_STATE:

MOD=sst

OBJS=	sst.o

MOD_CONF= $(MOD:%=%.conf)

all: $(MOD)

include ../Makefile.driver

CFLAGS += -D$(INST) $(ENVCPPFLAGS1) $(ENVCPPFLAGS2) -DDEBUG

sstest: sstest.c
	$(CC) -o $(INST)/sstest $(ENVCPPFLAGS1) $(ENVCPPFLAGS2) sstest.c


DDICTFLAGS += -D_USCSI

## amanda 2.5.1p1

=== regex-src/Makefile ===
# You probably want to take -DREDEBUG out of CFLAGS, and put something like
# -O in, *after* testing (-DREDEBUG strengthens testing by enabling a lot of
# internal assertion checking and some debugging facilities).
# Put -Dconst= in for a pre-ANSI compiler.
# Do not take -DPOSIX_MISTAKE out.
# REGCFLAGS isn't important to you (it's for my use in some special contexts).
CFLAGS=-I. -DPOSIX_MISTAKE -DREDEBUG $(REGCFLAGS)

# If you have a pre-ANSI compiler, put -o into MKHFLAGS.  If you want
# the Berkeley __P macro, put -b in.
MKHFLAGS=

# Flags for linking but not compiling, if any.
LDFLAGS=

# Extra libraries for linking, if any.
LIBS=

# Internal stuff, should not need changing.
OBJPRODN=regcomp.o regexec.o regerror.o regfree.o
OBJS=$(OBJPRODN) split.o debug.o main.o
H=cclass.h cname.h regex2.h utils.h
REGSRC=regcomp.c regerror.c regexec.c regfree.c
ALLSRC=$(REGSRC) engine.c debug.c main.c split.c

# Stuff that matters only if you're trying to lint the package.
LINTFLAGS=-I. -Dstatic= -Dconst= -DREDEBUG
LINTC=regcomp.c regexec.c regerror.c regfree.c debug.c main.c
JUNKLINT=possible pointer alignment|null effect

# arrangements to build forward-reference header files
.SUFFIXES:	.ih .h
.c.ih:
	sh ./mkh -A $(MKHFLAGS) -p $< >$@

default:	r

lib:	purge $(OBJPRODN)
	rm -f libregex.a
	ar crv libregex.a $(OBJPRODN)

purge:
	rm -f *.o

# stuff to build regex.h
REGEXH=regex.h
REGEXHSRC=regex2.h $(REGSRC)
$(REGEXH):	$(REGEXHSRC) mkh
	sh ./mkh -A $(MKHFLAGS) -i _REGEX_H_ $(REGEXHSRC) >regex.tmp
	cmp -s regex.tmp regex.h 2>/dev/null || cp regex.tmp regex.h
	rm -f regex.tmp

# dependencies
$(OBJPRODN) debug.o:	utils.h regex.h regex2.h
regcomp.o:	cclass.h cname.h regcomp.ih
regexec.o:	engine.c engine.ih
regerror.o:	regerror.ih
debug.o:	debug.ih
main.o:	main.ih

# tester
re:	$(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS) $(LIBS) -o $@

# regression test
r:	re tests
	./re <tests
	./re -el <tests
	./re -er <tests

# 57 variants, and other stuff, for development use -- not useful to you
ra:	./re tests
	-./re <tests
	-./re -el <tests
	-./re -er <tests

rx:	./re tests
	./re -x <tests
	./re -x -el <tests
	./re -x -er <tests

t:	./re tests
	-time ./re <tests
	-time ./re -cs <tests
	-time ./re -el <tests
	-time ./re -cs -el <tests

l:	$(LINTC)
	lint $(LINTFLAGS) -h $(LINTC) 2>&1 | egrep -v '$(JUNKLINT)' | tee lint

fullprint:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list *.c
	list regex.3 regex.7

print:
	ti README WHATSNEW notes todo | list
	ti *.h | list
	list reg*.c engine.c


mf.tmp:	Makefile
	sed '/^REGEXH=/s/=.*/=regex.h/' Makefile | sed '/#DEL$$/d' >$@

DTRH=cclass.h cname.h regex2.h utils.h
PRE=COPYRIGHT README WHATSNEW
POST=mkh regex.3 regex.7 tests $(DTRH) $(ALLSRC) fake/*.[ch]
FILES=$(PRE) Makefile $(POST)
DTR=$(PRE) Makefile=mf.tmp $(POST)
dtr:	$(FILES) mf.tmp
	makedtr $(DTR) >$@
	rm mf.tmp

cio:	$(FILES)
	cio $(FILES)

rdf:	$(FILES)
	rcsdiff -c $(FILES) 2>&1 | p

# various forms of cleanup
tidy:
	rm -f junk* core core.* *.core dtr *.tmp lint

clean:	tidy
	rm -f *.o *.s *.ih re libregex.a

# don't do this one unless you know what you're doing
spotless:	clean
	rm -f mkh regex.h

lint:

## amanda 3.3.0

=== debian/changelog ===
amanda (1:3.3.0-1ubuntu1) precise; urgency=low

  * Remove declaration of function g_queue_free_full() which conflicts with
    GLib and isn't used anywhere.

 -- Ilya Barygin <randomaction@ubuntu.com>  Sun, 05 Feb 2012 19:09:37 +0400

amanda (1:3.3.0-1build1) precise; urgency=low

  * Rebuild for Perl 5.14.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 15 Nov 2011 22:09:21 +0000

amanda (1:3.3.0-1) unstable; urgency=low

  * new upstream version, closes: #641453
  * lots of packaging cleanup
  * consolidate inetd and xinetd config handling in amanda-common package
  * add a NEWS entry explaining the switch to bsdtcp auth as default

 -- Bdale Garbee <bdale@gag.com>  Tue, 13 Sep 2011 12:42:40 -0600

amanda (1:3.2.1-1.1) unstable; urgency=low

  * non-maintainer upload
  * clear dependency_libs in *.la files, closes: #621214

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 17:04:18 +0200

amanda (1:3.2.1-1) unstable; urgency=low

  * new upstream version, closes: #613178
  * enable support for Amazon S3 storage on request from Christopher McCrory
  * fix for dh_perl usage to include private library, closes: #582220
  * merge updated Vietnamese debconf translation, closes: #601919
  * merge updated Danish debconf translation, closes: #608435
  * merge updated Arabic debconf translation, closes: #596178

 -- Bdale Garbee <bdale@gag.com>  Sun, 27 Feb 2011 11:54:58 -0700

amanda (1:3.2.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 01 Dec 2010 20:39:49 -0700

amanda (1:3.1.0-1) unstable; urgency=low

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jun 2010 13:46:03 -0600

amanda (1:2.6.1p2-2) unstable; urgency=low

  * add build depend on procps, closes: #552390
  * add dh_perl call to rules and ${perl:Depends} to amanda-common deps so
    that we comply with Perl policy, closes: #582220

 -- Bdale Garbee <bdale@gag.com>  Mon, 14 Jun 2010 10:21:11 -0600

amanda (1:2.6.1p2-1) unstable; urgency=low

  * new upstream version
  * move more files out of amanda-common that really belong elsewhere
  * deliver /usr/lib/amanda/application/am[gs]tar setuid, closes: #558094
  * leave user backup groups alone on purge, closes: #572933

 -- Bdale Garbee <bdale@gag.com>  Mon, 15 Mar 2010 15:23:20 -0600

amanda (1:2.6.1p1-2) unstable; urgency=low

  * calcsize needs to be setuid, closes: #551156
  * patch from upstream to fix init of xml_app.result in diskfile.c, 
    closes: #550098
  * add note to server package README.Debian regarding mtio operations that
    take too long putting noise in dmesg, closes: #506397
  * merge Finnish translation of the debconf templates, closes: #535214

 -- Bdale Garbee <bdale@gag.com>  Fri, 16 Oct 2009 02:10:52 -0600

amanda (1:2.6.1p1-1) unstable; urgency=low

  * new upstream version, closes: #527090, #527489, #486405, #488713
  * tweak configure to ensure ssh support is enabled, closes: #524618, #492352
  * update debian/control to include my git packaging repo location
  * resolve possible bashisms, closes: #530041

 -- Bdale Garbee <bdale@gag.com>  Tue, 08 Sep 2009 11:40:42 -0600

amanda (1:2.5.2p1-5) unstable; urgency=low

  * add --without-ipv6 as a short-term fix for amdump connectivity problems,
    closes: #482754, #501281, #470202

 -- Bdale Garbee <bdale@gag.com>  Thu, 26 Mar 2009 22:52:51 -0600

amanda (1:2.5.2p1-4) unstable; urgency=high

  * high priority bug fixes intended for lenny release
  * update version thresholds in Replaces to ease upgrades, closes: #476583
  * don't set maxdumpsize in the default amanda.conf, closes: #475524
  * freshen to latest standards version
  * revert chg-multi.sh.in and patch since the new version previously pulled 
    in caused more problems than it solved, closes: #486384
  * undo traps on amverify exit to prevent double reports, closes: #487405
  * correct paths in amcrypt-ossl-asym(8) xml source, closes: #486739

 -- Bdale Garbee <bdale@gag.com>  Sat, 16 Aug 2008 16:03:27 -0300

amanda (1:2.5.2p1-3) unstable; urgency=low

  * fix "bashisms" in the amcleanup and amverify scripts.  closes: #464489
  * merge updated Russian translation, closes: #471030
  * move example configuration 'DailySet1' from /etc/amanda to 
    /usr/share/doc/amanda-server/examples to reduce confusion, update
    the amanda-server README.Debian with fresh install notes.  closes: #420023
  * move some binaries out of amanda-common into -server and -client
  * harden forcing of /usr/bin/mail instead of /usr/bin/Mail, closes: #475771

 -- Bdale Garbee <bdale@gag.com>  Wed, 16 Apr 2008 00:02:13 -0600

amanda (1:2.5.2p1-2) unstable; urgency=low

  * document holding disk constraint in amanda-server README.Debian file,
    closes: #465746
  * patch from Wolfgang Weisselberg for a problem in amstatus, closes: #471240
  * enable both with-bsdtcp-security and with-bsdudp-security in configure,
    perhaps that will help resolve some of the problems users are having
    with 2.5.2?

 -- Bdale Garbee <bdale@gag.com>  Thu, 20 Mar 2008 18:06:58 -0600

amanda (1:2.5.2p1-1) unstable; urgency=low

  * new upstream version, closes: #434607, #434606
  * pull fresher chg-multi.sh.in from upstream to fix syntax error
  * drop reference to non-existent 'taper' package in control, closes: #444330
  * a number of tweaks to address issues found by lintian
  * incorporate Galician translation, closes: #414113

 -- Bdale Garbee <bdale@gag.com>  Sun, 07 Oct 2007 18:39:45 -0600

amanda (1:2.5.1p3-3) unstable; urgency=low

  * fix amcrypt-ossl and amcryopt-ossl-asym to use the right username for
    Debian systems, closes: #417818
  * patch from upstream for problem in get_fs_stats(), closes: #420100
  * patch from upstream for problem in sendsize.c, closes: #420076
  * replace netbase dependency with update-inetd

 -- Bdale Garbee <bdale@gag.com>  Tue, 15 May 2007 11:44:34 -0600

amanda (1:2.5.1p3-2) unstable; urgency=low

  * fold in diff from NMU of 1:2.5.1p1-2.1 by Peter Palfrader, closes: #399790


=== debian/rules ===
#!/usr/bin/make -f
# Copyright 1998-2011 by Bdale Garbee.  License GPL v2

export DH_VERBOSE=1

r=$(shell pwd)/debian/amanda-common
s=$(shell pwd)/debian/amanda-server
c=$(shell pwd)/debian/amanda-client

configure: configure-stamp
configure-stamp:
	dh_testdir
	# pick up latest config files provided by autotools-dev
	cp -f /usr/share/misc/config.sub config/config.sub
	cp -f /usr/share/misc/config.guess config/config.guess
	# do we need --{htmldir,dvidir,pdfdir,psdir} to force subdirectories?
	# should we re-craft this to use --without-server and --without-client,
	#	and lose the amanda-common package?
	MAILER=/usr/bin/mail \
	SSH=/usr/bin/ssh \
	./configure \
		--prefix=/usr \
		--bindir=/usr/sbin \
		--libexecdir=/usr/lib/amanda \
		--without-amlibexecdir \
		--without-amperldir \
		--sysconfdir=/etc \
		--sharedstatedir=/var/lib \
		--localstatedir=/var/lib \
		--with-user=backup \
		--with-group=backup  \
		--with-tcpportrange=50000,50100 \
		--with-udpportrange=840,860 \
		--with-debugging=/var/log/amanda \
		--with-gnutar-listdir=/var/lib/amanda/gnutar-lists \
		--with-index-server=localhost \
		--with-bsd-security \
		--with-smbclient=/usr/bin/smbclient \
		--with-amandahosts \
		--with-ssh-security \
		--with-bsdtcp-security \
		--with-bsdudp-security \
		--without-ipv6 \
		--enable-s3-device

	touch missing
	touch configure-stamp

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp
	dh_testdir
	MAILER=/usr/bin/mail $(MAKE) CFLAGS="-O2 -g -Wall \
		-DAMANDATES_FILE='\"/var/lib/amanda/amandates\"' \
		-DIGNORE_TAR_ERRORS "
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || make clean
	[ ! -f Makefile ] || make distclean
	-rm -f build-stamp configure-stamp missing config/config.h common-src/genversion
	-find . -type d -name .deps -exec rm -rf {} \;
	dh_clean

# call this before packaging for upload when updating template English text
updatepo:
	-rm -f debian/po/templates.pot
	debconf-updatepo
	
binary-indep: build

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a
	make install DESTDIR=$(r)
	sed -i "/dependency_libs/ s/'.*'/''/" `find $(r)/usr/lib/amanda/ -name '*.la'`
	install -m 644 debian/amandahosts $(r)/etc/amandahosts
	dh_installdocs -a
	dh_installexamples -a
	ln -s ../amanda/example $(r)/usr/share/doc/examples
	cp ChangeLog $(r)/usr/share/doc/amanda-common/changelog
	cp example/xinetd.amandaserver $(r)/etc/xinetd.d/amanda
	dh_installmenu -a
	dh_installcron -a
	dh_installchangelogs -a
	dh_installdebconf -a
	dh_installman -a
	dh_strip -a
	dh_compress -a
	dh_movefiles -a --sourcedir=debian/amanda-common
	rm -r $(r)/usr/share/amanda
	dh_fixperms -av
	# fix perms manually
	chown -R backup:backup debian/*/var/lib/*
	chmod -R u=rwX,g=rwX,o-rwx debian/*/var/lib/*
	chown -R backup:backup $(s)/var/log/amanda
	chmod -R u=rwX,g=rwX,o-rwx $(s)/var/log/amanda
	chown -R backup:backup $(s)/etc/amanda
	chmod -R u=rwX,g=rwX,o-rwx $(s)/etc/amanda
	chown -R backup:backup $(c)/var/lib/amanda/gnutar-lists
	chmod -R u=rwX,g=rwX,o-rwx $(c)/var/lib/amanda/gnutar-lists
	# .. setuid
	chown root:backup \
		$(c)/usr/lib/amanda/application/amgtar \
		$(c)/usr/lib/amanda/application/amstar \
		$(c)/usr/lib/amanda/calcsize \
		$(c)/usr/lib/amanda/killpgrp \
		$(c)/usr/lib/amanda/rundump \
		$(c)/usr/lib/amanda/runtar \
		$(s)/usr/lib/amanda/dumper \
		$(s)/usr/lib/amanda/planner \
		$(s)/usr/sbin/amcheck
	chmod u=srwx,g=rx,o=r \
		$(c)/usr/lib/amanda/application/amgtar \
		$(c)/usr/lib/amanda/application/amstar \
		$(c)/usr/lib/amanda/calcsize \
		$(c)/usr/lib/amanda/killpgrp \
		$(c)/usr/lib/amanda/rundump \
		$(c)/usr/lib/amanda/runtar \
		$(s)/usr/lib/amanda/dumper \
		$(s)/usr/lib/amanda/planner \
		$(s)/usr/sbin/amcheck
	install -o root -g root -m 0644 debian/amanda-client.lintian \
		$(c)/usr/share/lintian/overrides/amanda-client
	install -o root -g root -m 0644 debian/amanda-common.lintian \
		$(r)/usr/share/lintian/overrides/amanda-common
	install -o root -g root -m 0644 debian/amanda-server.lintian \
		$(s)/usr/share/lintian/overrides/amanda-server
	dh_makeshlibs -pamanda-common --noscripts
	dh_installdeb -a
	dh_perl -a usr/lib/amanda/perl
	dh_shlibdeps -a -l"debian/amanda-common/usr/lib:debian/amanda-client/usr/lib:debian/amanda-server/usr/lib"
	# strip out the non-versioned amanda-common references, we need
	# the versioned ones in the control file and dupes are ugly...
	sed -e 's/amanda-common, //' < debian/amanda-server.substvars > debian/blah
	mv debian/blah debian/amanda-server.substvars
	sed -e 's/amanda-common, //' < debian/amanda-client.substvars > debian/blah
	mv debian/blah debian/amanda-client.substvars
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: configure build-indep build-arch build clean binary-indep binary-arch binary

## amanda 3.3.1

=== debian/changelog ===
amanda (1:3.3.1-4) unstable; urgency=low

  * eliminate spurious empty /var/log/amanda directory in amanda-server package
    that generates piuparts errors, closes: #681568

 -- Bdale Garbee <bdale@gag.com>  Sat, 14 Jul 2012 15:14:22 -0600

amanda (1:3.3.1-3) unstable; urgency=low

  * patch from Robert Milan to fix kfreebsd FTBFS, closes: #667836
  * patch from amanda-users mailing list via Jose Manuel dos Santos Calhariz
    that fixes amrecover issue with VTAPE access, closes: #666088

 -- Bdale Garbee <bdale@gag.com>  Thu, 12 Apr 2012 23:29:14 -0600

amanda (1:3.3.1-2) unstable; urgency=low

  * patch from Michael Biebl to elide g_queue_free_full definition that
    conflicts with glib 2.32 but isn't actually used, closes: #665675

 -- Bdale Garbee <bdale@gag.com>  Tue, 03 Apr 2012 07:18:07 -0700

amanda (1:3.3.1-1) unstable; urgency=low

  * new upstream version, closes: #655025, #658933
  * enable hardening build flags, closes: #644437
  * include Indonesian translation, closes: #658482
  * relax build-deps by having dump and xfsdump only required on linux-any, 
    to allow amanda to build on kFreeBSD, closes: #661702
  * clean up and expand the delivery of examples, closes: #496286, #647550

 -- Bdale Garbee <bdale@gag.com>  Tue, 20 Mar 2012 14:59:38 +0100

=== debian/control ===
Source: amanda
Section: utils
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Vcs-Git: git://git.gag.com/debian/amanda
Vcs-Browser: http://git.gag.com/?p=debian/amanda
Build-Depends: debhelper (>= 5), dump [linux-any], gnuplot, libncurses5-dev, libreadline-dev, libtool, flex, perl, smbclient, bsd-mailx | mailx, lpr, mtx, xfsdump [linux-any], po-debconf, autotools-dev, libglib2.0-dev, procps, curl, libcurl4-openssl-dev
Standards-Version: 3.9.3

Package: amanda-common
Architecture: any
Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}, update-inetd, tar (>=1.12), perl5, bsd-mailx | mailx, debconf | debconf-2.0, adduser, openbsd-inetd | inet-superserver
Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version})
Conflicts: amanda
Replaces: amanda, amanda-client
Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
 This package contains libraries required by the amanda client and
 server packages.

Package: amanda-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, amanda-common (= ${binary:Version}), bsd-mailx | mailx
Suggests: perl5, gnuplot, amanda-client (= ${binary:Version}), cpio | mt-st
Conflicts: amanda, amanda-common (<< 1:2.5.2p1-3)
Replaces: amanda-common (<< 1:2.5.2p1-3)
Description: Advanced Maryland Automatic Network Disk Archiver (Server)
 Amanda is a backup system designed to archive many computers on a
 network to a single large-capacity tape drive. This package is
 suitable for large amounts of data to backup. For smaller solutions
 take a look at afbackup, tob, ... 
 .
  Features:
   * will back up multiple machines in parallel to a holding disk, blasting
     finished dumps one by one to tape as fast as we can write files to
     tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
     with a large holding disk can be filled by Amanda in under 4 hours.
   * built on top of standard backup software: Unix dump/restore, and
     later GNU Tar and others.
   * does simple tape management: will not overwrite the wrong tape.
   * supports tape changers via a generic interface.  Easily customizable 
     to any type of tape carousel, robot, or stacker that can be controlled 
     via the unix command line.
   * for a restore, tells you what tapes you need, and finds the proper
     backup image on the tape for you.
   * recovers gracefully from errors, including down or hung machines.
   * reports results, including all errors in detail, in email to operators.
   * will dynamically adjust backup schedule to keep within constraints: 
     no more juggling by hand when adding disks and computers to network.
   * includes a pre-run checker program, that conducts sanity checks on both
     the tape server host and all the client hosts (in parallel), and will
     send an e-mail report of any problems that could cause the backups to
     fail.
   * can compress dumps before sending or after sending over the net, with
     either compress or gzip.
   * can optionally synchronize with external backups, for those large
     timesharing computers where you want to do full dumps when the system
     is down in single-user mode (since BSD dump is not reliable on active
     filesystems): Amanda will still do your daily dumps.
   * lots of other options; Amanda is very configurable.
 .
 For important notes, see /usr/share/doc/amanda-server/README.Debian.
 .
 Explanation of suggested programs:
  - perl is needed for some non essential server utilities
  - gnuplot is needed for plotting statistics of backups
  - to backup the tape server, you need to install the client too 

Package: amanda-client
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, amanda-common (= ${binary:Version})
Suggests: gnuplot, dump, smbclient
Conflicts: amanda, amanda-common (<< 1:2.5.2p1-3)
Replaces: amanda-common (<< 1:2.5.2p1-3)
Description: Advanced Maryland Automatic Network Disk Archiver (Client)
 Amanda is a backup system designed to archive many computers on a
 network to a single large-capacity tape drive. This package is
 suitable for large amounts of data to backup. For smaller solutions
 take a look at afbackup, tob, ... 
 .
  Features:
   * will back up multiple machines in parallel to a holding disk, blasting
     finished dumps one by one to tape as fast as we can write files to
     tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
     with a large holding disk can be filled by Amanda in under 4 hours.
   * built on top of standard backup software: Unix dump/restore, and
     later GNU Tar and others.
   * does simple tape management: will not overwrite the wrong tape.
   * supports tape changers via a generic interface.  Easily customizable 
     to any type of tape carousel, robot, or stacker that can be controlled 
     via the unix command line.
   * for a restore, tells you what tapes you need, and finds the proper
     backup image on the tape for you.
   * recovers gracefully from errors, including down or hung machines.
   * reports results, including all errors in detail, in email to operators.
   * will dynamically adjust backup schedule to keep within constraints: 
     no more juggling by hand when adding disks and computers to network.
   * includes a pre-run checker program, that conducts sanity checks on both
     the tape server host and all the client hosts (in parallel), and will
     send an e-mail report of any problems that could cause the backups to
     fail.
   * can compress dumps before sending or after sending over the net, with
     either compress or gzip.
   * can optionally synchronize with external backups, for those large
     timesharing computers where you want to do full dumps when the system
     is down in single-user mode (since BSD dump is not reliable on active
     filesystems): Amanda will still do your daily dumps.
   * lots of other options; Amanda is very configurable.
 .
 THIS PACKAGE RELIES ON A RUNNING AMANDA SERVER IN YOUR NETWORK.
 .
 For important notes, see /usr/share/doc/amanda-client/README.Debian.
 .
 Explanation of suggested programs:
  - gnuplot is needed for plotting statistics of backups

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 # Copyright 1998-2011 by Bdale Garbee.  License GPL v2
 
 export DH_VERBOSE=1
+
+DPKG_EXPORT_BUILDFLAGS = 1
+-include /usr/share/dpkg/buildflags.mk
 
 r=$(shell pwd)/debian/amanda-common
 s=$(shell pwd)/debian/amanda-server
@@ -51,7 +54,7 @@
 build-indep: build-stamp
 build-stamp: configure-stamp
 	dh_testdir
-	MAILER=/usr/bin/mail $(MAKE) CFLAGS="-O2 -g -Wall \
+	MAILER=/usr/bin/mail $(MAKE) CFLAGS="$(CFLAGS) -O2 -g -Wall \
 		-DAMANDATES_FILE='\"/var/lib/amanda/amandates\"' \
 		-DIGNORE_TAR_ERRORS "
 	touch build-stamp
@@ -82,7 +85,6 @@
 	install -m 644 debian/amandahosts $(r)/etc/amandahosts
 	dh_installdocs -a
 	dh_installexamples -a
-	ln -s ../amanda/example $(r)/usr/share/doc/examples
 	cp ChangeLog $(r)/usr/share/doc/amanda-common/changelog
 	cp example/xinetd.amandaserver $(r)/etc/xinetd.d/amanda
 	dh_installmenu -a
@@ -98,8 +100,6 @@
 	# fix perms manually
 	chown -R backup:backup debian/*/var/lib/*
 	chmod -R u=rwX,g=rwX,o-rwx debian/*/var/lib/*
-	chown -R backup:backup $(s)/var/log/amanda
-	chmod -R u=rwX,g=rwX,o-rwx $(s)/var/log/amanda
 	chown -R backup:backup $(s)/etc/amanda
 	chmod -R u=rwX,g=rwX,o-rwx $(s)/etc/amanda
 	chown -R backup:backup $(c)/var/lib/amanda/gnutar-lists

## amanda 3.3.3

=== debian/changelog ===
amanda (1:3.3.3-2ubuntu1.1+actuallyesm2) trusty-security; urgency=medium

  * SECURITY REGRESSION: Remove all patches from version 1:3.3.3-2ubuntu1.1
    restoring the package to the state of 1:3.3.3-2ubuntu1. (LP: #2012536) 

 -- David Lane <david.lane@canonical.com>  Fri, 24 Mar 2023 12:33:20 +1100

amanda (1:3.3.3-2ubuntu1.1) trusty-security; urgency=medium

  * SECURITY UPDATE: information leak calcsize SUID binary
    - d/p/56-fix-CVE-2022-37703: remove perror call disclosing potentially
      privileged information
    - CVE-2022-37703
  * SECURITY UPDATE: privilege escalation via rundump SUID binary
    - d/p/50-fix-CVE-2022-37704: add option validation
    - d/p/52-fix-CVE-2022-37704_part_2-backport: filter RSH env variable
    - CVE-2022-37704
  * SECURITY UPDATE: privilege escalation via runtar SUID binary
    - d/p/48-fix-CVE-2022-37705-backport: fix option parsing
    - CVE-2022-37705

 -- David Lane <david.lane@canonical.com>  Thu, 16 Mar 2023 13:18:40 +1100

amanda (1:3.3.3-2ubuntu1) trusty; urgency=low

  * Resolve FTBFS:
    - Use dh-autoreconf;
    - Add missing libs to link.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 07 Jan 2014 15:28:40 -0500

amanda (1:3.3.3-2build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:58:50 +0100

amanda (1:3.3.3-2) unstable; urgency=low

  * QA upload.

  [ Daniel T Chen ]
  * Modified bundled stdio to check conditionally for gets(), fixing FTBFS
    (closes: #701387).

 -- Colin Watson <cjwatson@debian.org>  Tue, 14 May 2013 16:27:56 +0100

amanda (1:3.3.3-1) unstable; urgency=low

  * orphan this package
  * new upstream version, closes: #697783
  * fix hard-coded amandabackup user in many scripts and docs, 
    closes: #693333, $699454
  * fix amserverconfig trying to create /var/lib/lib/amanda, closes: #693331

 -- Bdale Garbee <bdale@gag.com>  Wed, 20 Feb 2013 11:12:55 -0700

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: amanda
 Section: utils
 Priority: optional
-Maintainer: Bdale Garbee <bdale@gag.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Vcs-Git: git://git.gag.com/debian/amanda
 Vcs-Browser: http://git.gag.com/?p=debian/amanda
-Build-Depends: debhelper (>= 5), dump [linux-any], gnuplot, libncurses5-dev, libreadline-dev, libtool, flex, perl, smbclient, bsd-mailx | mailx, lpr, mtx, xfsdump [linux-any], po-debconf, autotools-dev, libglib2.0-dev, procps, curl, libcurl4-openssl-dev
+Build-Depends: debhelper (>= 5), dump [linux-any], gnuplot, libncurses5-dev, libreadline-dev, libtool, flex, perl, smbclient, bsd-mailx | mailx, lpr, mtx, xfsdump [linux-any], po-debconf, autotools-dev, libglib2.0-dev, procps, curl, libcurl4-openssl-dev, dh-autoreconf
 Standards-Version: 3.9.3
 
 Package: amanda-common

=== debian/rules ===
--- 
+++ 
@@ -16,6 +16,7 @@
 	# pick up latest config files provided by autotools-dev
 	cp -f /usr/share/misc/config.sub config/config.sub
 	cp -f /usr/share/misc/config.guess config/config.guess
+	dh_autoreconf
 	# do we need --{htmldir,dvidir,pdfdir,psdir} to force subdirectories?
 	# should we re-craft this to use --without-server and --without-client,
 	#	and lose the amanda-common package?
@@ -66,6 +67,7 @@
 	[ ! -f Makefile ] || make distclean
 	-rm -f build-stamp configure-stamp missing config/config.h common-src/genversion
 	-find . -type d -name .deps -exec rm -rf {} \;
+	dh_autoreconf_clean
 	dh_clean
 
 # call this before packaging for upload when updating template English text

=== debian/watch ===
# debian/watch  for amanda
# format version number, currently 3; this line is compulsory!
version=3
# If your package is located on sourceforge, use the following format
# to automatically use the qa.debian.org redirector, avoiding SF's
# difficult mirror system.
http://sf.net/amanda/amanda-([0-9]+\.[0-9]+\.[0-9]+[^b]*)\.tar\.gz   debian  uupdate

## amanda 3.3.6

=== debian/changelog ===
amanda (1:3.3.6-4) unstable; urgency=medium

  * fix amreport with perl 5.20 (Closes: 760846).

 -- Jose M Calhariz <jose.calhariz@netvisao.pt>  Tue, 04 Nov 2014 22:46:09 +0000

amanda (1:3.3.6-3) unstable; urgency=low

  * Adopting package (Closes: 700484). 
  * Merge work done by William Blough/Bill Blough:
    * fix-amserverconfig-template-path: fix directory hierarchy for
      amserverconfig template files.
    * fix-misc-typos: fix typo errors in various source files, (Closes:
      724075)
    * fix-lintian-manpage-warnings: 
      * Fix line breaks in man page.
      * Fix FHS deviations in the man page.
      * Update default directories to not use /usr/adm.
    * automake-add-missing: let automake install missing files.
    * Link upstream changelogs from -common package to -client and 
      -server packages.
    * Add additional hardening flags.
  * Fix bug "amanda-server: amcheck -M <email> does not work", (Closes:
    #726798).
  * Add PL translation (Closes: 731383).
  * Create a TODO.
  * fix-device-src_rait-device.c: Fix bug "Wrong use of unconverted
    op->result instead of result", (Closes: 688466)
  * Remove obsolete emacs variables.
  * amanda-client: Add depends on libxml-simple-perl, (Closes: 732017).

 -- Jose M Calhariz <jose.calhariz@netvisao.pt>  Sat, 30 Aug 2014 00:17:47 +0100

amanda (1:3.3.6-2) UNRELEASED; urgency=low

  * QA upload.
  * debian/{control, rules, patches/missing-libs-ftbfs.patch}:
    - Switch to dh-autoreconf to update libtool macros for ppc64el.
    - Add missing libs to link. Needed for dh-autoreconf.
      (Closes: #758261)
  * debian/control:
    - Bump to debhelper 9.
  * wrap-and-sort.

 -- Artur Rona <ari-tczew@ubuntu.com>  Sat, 23 Aug 2014 22:34:36 +0200

amanda (1:3.3.6-1) unstable; urgency=low

  * QA upload.
  * New upstream release
    - include swig 3.0.2: fix FTBFS with Perl 5.20: needs SWIG regeneration
      (Closes: #752024)
  * debian/patches
    - drop gets-undef-ftbfs: it's unnecessary
  * debian/control
    - set Standards-Version: 3.9.5
    - move Vcs repository to alioth collabmaint

 -- Hideki Yamane <henrich@debian.org>  Wed, 30 Jul 2014 23:20:42 +0900

amanda (1:3.3.3-3) unstable; urgency=medium

  * QA upload.
  * debian/control
    - add "Build-Depends: libssl-dev" to fix FTBFS (Closes: #747710) 

 -- Hideki Yamane <henrich@debian.org>  Tue, 27 May 2014 21:37:31 +0900

=== debian/control ===
Source: amanda
Section: utils
Priority: optional
Maintainer: Jose M Calhariz <jose.calhariz@netvisao.pt>
Build-Depends: autotools-dev,
               bsd-mailx | mailx,
               curl,
               debhelper (>= 9),
               dh-autoreconf,
               dump [linux-any],
               flex,
               gnuplot,
               libcurl4-openssl-dev,
               libglib2.0-dev,
               libncurses5-dev,
               libreadline-dev,
               libssl-dev,
               libtool,
               lpr,
               mtx,
               perl,
               po-debconf,
               procps,
               smbclient,
               xfsdump [linux-any]
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/collab-maint/amanda.git
Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/amanda.git;a=summary

Package: amanda-common
Architecture: any
Depends: adduser,
         bsd-mailx | mailx,
         debconf | debconf-2.0,
         openbsd-inetd | inet-superserver,
         perl5,
         tar (>=1.12),
         update-inetd,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version})
Conflicts: amanda
Replaces: amanda,
          amanda-client
Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
 This package contains libraries required by the amanda client and
 server packages.

Package: amanda-server
Architecture: any
Depends: amanda-common (= ${binary:Version}),
         bsd-mailx | mailx,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: amanda-client (= ${binary:Version}),
          cpio | mt-st,
          gnuplot,
          perl5
Conflicts: amanda,
           amanda-common (<< 1:2.5.2p1-3)
Replaces: amanda-common (<< 1:2.5.2p1-3)
Description: Advanced Maryland Automatic Network Disk Archiver (Server)
 Amanda is a backup system designed to archive many computers on a
 network to a single large-capacity tape drive. This package is
 suitable for large amounts of data to backup. For smaller solutions
 take a look at afbackup, tob, ...
 .
  Features:
   * will back up multiple machines in parallel to a holding disk, blasting
     finished dumps one by one to tape as fast as we can write files to
     tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
     with a large holding disk can be filled by Amanda in under 4 hours.
   * built on top of standard backup software: Unix dump/restore, and
     later GNU Tar and others.
   * does simple tape management: will not overwrite the wrong tape.
   * supports tape changers via a generic interface.  Easily customizable
     to any type of tape carousel, robot, or stacker that can be controlled
     via the unix command line.
   * for a restore, tells you what tapes you need, and finds the proper
     backup image on the tape for you.
   * recovers gracefully from errors, including down or hung machines.
   * reports results, including all errors in detail, in email to operators.
   * will dynamically adjust backup schedule to keep within constraints:
     no more juggling by hand when adding disks and computers to network.
   * includes a pre-run checker program, that conducts sanity checks on both
     the tape server host and all the client hosts (in parallel), and will
     send an e-mail report of any problems that could cause the backups to
     fail.
   * can compress dumps before sending or after sending over the net, with
     either compress or gzip.
   * can optionally synchronize with external backups, for those large
     timesharing computers where you want to do full dumps when the system
     is down in single-user mode (since BSD dump is not reliable on active
     filesystems): Amanda will still do your daily dumps.
   * lots of other options; Amanda is very configurable.
 .
 For important notes, see /usr/share/doc/amanda-server/README.Debian.
 .
 Explanation of suggested programs:
  - perl is needed for some non essential server utilities
  - gnuplot is needed for plotting statistics of backups
  - to backup the tape server, you need to install the client too

Package: amanda-client
Architecture: any
Depends: amanda-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         libxml-simple-perl
Suggests: dump,
          gnuplot,
          smbclient
Conflicts: amanda,
           amanda-common (<< 1:2.5.2p1-3)
Replaces: amanda-common (<< 1:2.5.2p1-3)
Description: Advanced Maryland Automatic Network Disk Archiver (Client)
 Amanda is a backup system designed to archive many computers on a
 network to a single large-capacity tape drive. This package is
 suitable for large amounts of data to backup. For smaller solutions
 take a look at afbackup, tob, ...
 .
  Features:
   * will back up multiple machines in parallel to a holding disk, blasting
     finished dumps one by one to tape as fast as we can write files to
     tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
     with a large holding disk can be filled by Amanda in under 4 hours.
   * built on top of standard backup software: Unix dump/restore, and
     later GNU Tar and others.
   * does simple tape management: will not overwrite the wrong tape.
   * supports tape changers via a generic interface.  Easily customizable
     to any type of tape carousel, robot, or stacker that can be controlled
     via the unix command line.
   * for a restore, tells you what tapes you need, and finds the proper
     backup image on the tape for you.
   * recovers gracefully from errors, including down or hung machines.
   * reports results, including all errors in detail, in email to operators.
   * will dynamically adjust backup schedule to keep within constraints:
     no more juggling by hand when adding disks and computers to network.
   * includes a pre-run checker program, that conducts sanity checks on both
     the tape server host and all the client hosts (in parallel), and will
     send an e-mail report of any problems that could cause the backups to
     fail.
   * can compress dumps before sending or after sending over the net, with
     either compress or gzip.
   * can optionally synchronize with external backups, for those large
     timesharing computers where you want to do full dumps when the system
     is down in single-user mode (since BSD dump is not reliable on active
     filesystems): Amanda will still do your daily dumps.
   * lots of other options; Amanda is very configurable.
 .
 THIS PACKAGE RELIES ON A RUNNING AMANDA SERVER IN YOUR NETWORK.
 .
 For important notes, see /usr/share/doc/amanda-client/README.Debian.
 .
 Explanation of suggested programs:
  - gnuplot is needed for plotting statistics of backups

## amanda 3.3.8

=== debian/changelog ===
amanda (1:3.3.8-1) unstable; urgency=low

  * New Upstream version
    * Changes for 3.3.8
      * s3 devices
          New NEARLINE S3-STORAGE-CLASS for Google storage.
          New AWS4 STORAGE-API
      * amcryptsimple
          Works with newer gpg2.
      * amgtar
          Default SPARSE value is NO if tar < 1.28.
          Because a bug in tar with some filesystem.
      * amstar
          support include in backup mode.
      * ampgsql
          Add FULL-WAL property.
      * Many bugs fix.
    * Changes for 3.3.7p1
      * Fix build in 3.3.7
    * Changes for 3.3.7
      * amvault
          new --no-interactivity argument.
          new --src-labelstr argument.
      * amdump
          compute crc32 of the streams and write them to the debug files.
      * chg-robot
          Add a BROKEN-DRIVE-LOADED-SLOT property.
      * Many bugs fix.
  * Refreshed patches.
  * Dropped patches that were applied by the upstream: fix-misc-typos,
    automake-add-missing, fix-amcheck-M.patch,
    fix-device-src_rait-device.c, fix-amreport-perl_Amanda_Report_human.pm
  * Change the email of the maintainer.
  * "wrap-and-sort -at" all control files.
  * swig is a new build depend.
  * Bump standard version to 3.9.7, no changes needed.
  * Replace deprecated dependency perl5 by perl, (Closes: #808209), thank
    you Gregor Herrmann for the NMU.
  * Move flag -DAMANDATES_FILE from build time to configure time.
  * New patch fix-build-amcrc32chw to fix the build of amcr32chw.
  * New patch fix-amgtar-exclude to fix problem with corrupted backups
    with missing exclude files.
  * amanda-common: drop depends on perl and tar.
  * Bump debhelper compat mode to 9.
  * Rename *.lintian to *.lintian-overrides and start using dh_lintian.
  * Remove old depends and replaces on amanda-common.
  * Stop editing amanda-*.substvars.

 -- Jose M Calhariz <jose@calhariz.com>  Sun, 03 Apr 2016 20:57:58 +0100

amanda (1:3.3.6-4.1) unstable; urgency=medium

  * Non-maintainer upload with maintainer's permission.
  * Fix "Depends on virtual package "perl5" which will is gone with
    perl/5.22":
    debian/control: drop "perl5" / replace it with "perl" in Depends/Suggests.
    (Closes: #808209)

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Dec 2015 02:11:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: amanda
 Section: utils
 Priority: optional
-Maintainer: Jose M Calhariz <jose.calhariz@netvisao.pt>
+Maintainer: Jose M Calhariz <jose@calhariz.com>
 Build-Depends: autotools-dev,
                bsd-mailx | mailx,
                curl,
@@ -22,10 +22,12 @@
                po-debconf,
                procps,
                smbclient,
-               xfsdump [linux-any]
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/collab-maint/amanda.git
-Vcs-Browser: http://anonscm.debian.org/?p=collab-maint/amanda.git;a=summary
+               swig,
+               xfsdump [linux-any],
+Standards-Version: 3.9.7
+Homepage: http://www.amanda.org/
+Vcs-Git: https://anonscm.debian.org/collab-maint/amanda.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/amanda.git
 
 Package: amanda-common
 Architecture: any
@@ -33,33 +35,28 @@
          bsd-mailx | mailx,
          debconf | debconf-2.0,
          openbsd-inetd | inet-superserver,
-         perl5,
-         tar (>=1.12),
          update-inetd,
          ${misc:Depends},
          ${perl:Depends},
-         ${shlibs:Depends}
-Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version})
-Conflicts: amanda
+         ${shlibs:Depends},
+Suggests: amanda-server (= ${binary:Version}) | amanda-client (= ${binary:Version}),
+Conflicts: amanda,
 Replaces: amanda,
-          amanda-client
+          amanda-client,
 Description: Advanced Maryland Automatic Network Disk Archiver (Libs)
  This package contains libraries required by the amanda client and
- server packages.
+ server packages and includes the documentation.
 
 Package: amanda-server
 Architecture: any
 Depends: amanda-common (= ${binary:Version}),
          bsd-mailx | mailx,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Suggests: amanda-client (= ${binary:Version}),
           cpio | mt-st,
           gnuplot,
-          perl5
 Conflicts: amanda,
-           amanda-common (<< 1:2.5.2p1-3)
-Replaces: amanda-common (<< 1:2.5.2p1-3)
 Description: Advanced Maryland Automatic Network Disk Archiver (Server)
  Amanda is a backup system designed to archive many computers on a
  network to a single large-capacity tape drive. This package is
@@ -68,7 +65,7 @@
  .
   Features:
    * will back up multiple machines in parallel to a holding disk, blasting
-     finished dumps one by one to tape as fast as we can write files to
+     finished dumps one by one to tape as fast as they can be written to
      tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
      with a large holding disk can be filled by Amanda in under 4 hours.
    * built on top of standard backup software: Unix dump/restore, and
@@ -105,15 +102,13 @@
 Package: amanda-client
 Architecture: any
 Depends: amanda-common (= ${binary:Version}),
+         libxml-simple-perl,
          ${misc:Depends},
          ${shlibs:Depends},
-         libxml-simple-perl
 Suggests: dump,
           gnuplot,
-          smbclient
+          smbclient,
 Conflicts: amanda,
-           amanda-common (<< 1:2.5.2p1-3)
-Replaces: amanda-common (<< 1:2.5.2p1-3)
 Description: Advanced Maryland Automatic Network Disk Archiver (Client)
  Amanda is a backup system designed to archive many computers on a
  network to a single large-capacity tape drive. This package is
@@ -122,7 +117,7 @@
  .
   Features:
    * will back up multiple machines in parallel to a holding disk, blasting
-     finished dumps one by one to tape as fast as we can write files to
+     finished dumps one by one to tape as fast as they can be can written to
      tape.  For example, a ~2 Gb 8mm tape on a ~240K/s interface to a host
      with a large holding disk can be filled by Amanda in under 4 hours.
    * built on top of standard backup software: Unix dump/restore, and

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #!/usr/bin/make -f
 # Copyright 1998-2011 by Bdale Garbee.  License GPL v2
+#           2016 by Jose M Calhariz. License GPL v2
 
 export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DPKG_EXPORT_BUILDFLAGS = 1
 -include /usr/share/dpkg/buildflags.mk
 
-r=$(shell pwd)/debian/amanda-common
-s=$(shell pwd)/debian/amanda-server
-c=$(shell pwd)/debian/amanda-client
+r=$(CURDIR)/debian/amanda-common
+s=$(CURDIR)/debian/amanda-server
+c=$(CURDIR)/debian/amanda-client
 
 configure: configure-stamp
 configure-stamp:
@@ -37,6 +40,7 @@
 		--with-udpportrange=840,860 \
 		--with-debugging=/var/log/amanda \
 		--with-gnutar-listdir=/var/lib/amanda/gnutar-lists \
+		--with-amandates=/var/lib/amanda/amandates \
 		--with-index-server=localhost \
 		--with-bsd-security \
 		--with-smbclient=/usr/bin/smbclient \
@@ -56,7 +60,6 @@
 build-stamp: configure-stamp
 	dh_testdir
 	MAILER=/usr/bin/mail $(MAKE) CFLAGS="$(CFLAGS) -O2 -g -Wall \
-		-DAMANDATES_FILE='\"/var/lib/amanda/amandates\"' \
 		-DIGNORE_TAR_ERRORS "
 	touch build-stamp
 
@@ -67,6 +70,7 @@
 	[ ! -f Makefile ] || make distclean
 	-rm -f build-stamp configure-stamp missing config/config.h common-src/genversion
 	-find . -type d -name .deps -exec rm -rf {} \;
+	rm -f config/config.sub config/config.guess
 	dh_autoreconf_clean
 	dh_clean
 
@@ -74,13 +78,13 @@
 updatepo:
 	-rm -f debian/po/templates.pot
 	debconf-updatepo
-	
+
 binary-indep: build
 
 binary-arch: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs -a
 	make install DESTDIR=$(r)
 	sed -i "/dependency_libs/ s/'.*'/''/" `find $(r)/usr/lib/amanda/ -name '*.la'`
@@ -97,6 +101,8 @@
 	dh_strip -a
 	dh_compress -a
 	dh_movefiles -a --sourcedir=debian/amanda-common
+	dh_install -a -X.in
+	dh_link -a
 	rm -r $(r)/usr/share/amanda
 	dh_fixperms -av
 	# fix perms manually
@@ -127,28 +133,14 @@
 		$(s)/usr/lib/amanda/dumper \
 		$(s)/usr/lib/amanda/planner \
 		$(s)/usr/sbin/amcheck
-	install -o root -g root -m 0644 debian/amanda-client.lintian \
-		$(c)/usr/share/lintian/overrides/amanda-client
-	install -o root -g root -m 0644 debian/amanda-common.lintian \
-		$(r)/usr/share/lintian/overrides/amanda-common
-	install -o root -g root -m 0644 debian/amanda-server.lintian \
-		$(s)/usr/share/lintian/overrides/amanda-server
+	dh_lintian
 	dh_makeshlibs -pamanda-common --noscripts
 	dh_installdeb -a
 	dh_perl -a usr/lib/amanda/perl
-	dh_shlibdeps -a -l"debian/amanda-common/usr/lib:debian/amanda-client/usr/lib:debian/amanda-server/usr/lib"
-	# strip out the non-versioned amanda-common references, we need
-	# the versioned ones in the control file and dupes are ugly...
-	sed -e 's/amanda-common, //' < debian/amanda-server.substvars > debian/blah
-	mv debian/blah debian/amanda-server.substvars
-	sed -e 's/amanda-common, //' < debian/amanda-client.substvars > debian/blah
-	mv debian/blah debian/amanda-client.substvars
+	dh_shlibdeps -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
 
-source diff:                                                                  
-	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
-
 binary: binary-indep binary-arch
 .PHONY: configure build-indep build-arch build clean binary-indep binary-arch binary
